diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -7287,14 +7288,14 @@ (define-public rust-bytemuck-1.5
     (name "rust-bytemuck")
     (version "1.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytemuck" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18355qn3r9yp7ibg00r688sjx58g2qsjylwyq15w5b41b46asjss"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytemuck" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18355qn3r9yp7ibg00r688sjx58g2qsjylwyq15w5b41b46asjss"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7310,14 +7311,14 @@ (define-public rust-bytemuck-1
     (name "rust-bytemuck")
     (version "1.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytemuck" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "071043n73hwi55z9c55ga4v52v8a7ri56gqja8r98clkdyxns14j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytemuck" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "071043n73hwi55z9c55ga4v52v8a7ri56gqja8r98clkdyxns14j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7333,13 +7334,13 @@ (define-public rust-bytemuck-derive-1
     (name "rust-bytemuck-derive")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytemuck-derive" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1k59b6g2d87nf32qwhp73vng3al0zklxg64iiwf0pkxy74xf5ni8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytemuck-derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1k59b6g2d87nf32qwhp73vng3al0zklxg64iiwf0pkxy74xf5ni8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -7354,7 +7355,7 @@ (define-public rust-bytemuck-derive-1
     (description
      "This package derives proc-macros for the @code{bytemuck} crate.")
     (license
-      (list license:zlib license:asl2.0 license:expat))))
+     (list license:zlib license:asl2.0 license:expat))))
 
 (define-public rust-byteorder-1
   (package
@@ -7488,14 +7489,14 @@ (define-public rust-bytes-0.3
     (name "rust-bytes")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytes" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09vcp9kh12pva2xn2ir79k90v1a0id8f4sdv1abn5ifw2bqsyaf1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytes" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09vcp9kh12pva2xn2ir79k90v1a0id8f4sdv1abn5ifw2bqsyaf1"))))
     (arguments
      `(#:tests? #f      ; Tests not distributed in crate.
        #:cargo-development-inputs
@@ -7621,18 +7622,18 @@ (define-public rust-bzip2-sys-0.1
        (sha256
         (base32
          "0pi8lxzb1104q9cpvv1jgnk909cggqh2zcdhywqwlbq6c2i3jfxd"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (delete-file-recursively "bzip2-1.0.8")
-            (delete-file "build.rs")
-            ;; Inspired by Debian's patch.
-            (with-output-to-file "build.rs"
-              (lambda _
-                (format #t "fn main() {~@
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (delete-file-recursively "bzip2-1.0.8")
+           (delete-file "build.rs")
+           ;; Inspired by Debian's patch.
+           (with-output-to-file "build.rs"
+             (lambda _
+               (format #t "fn main() {~@
                         println!(\"cargo:rustc-link-lib=bz2\");~@
                         }~%")))
-            #t))))
+           #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7860,12 +7861,12 @@ (define-public rust-calloop-0.4
        (sha256
         (base32
          "0q6ic9lr0s86886mbyn4yncg68b2sykgwjf3iygdw01swmxhk8ks"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (substitute* "Cargo.toml"
-              (("=1.0.0") "^1.0.0"))
-            #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (substitute* "Cargo.toml"
+             (("=1.0.0") "^1.0.0"))
+           #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-mio" ,rust-mio-0.6)
@@ -7938,14 +7939,14 @@ (define-public rust-capnp-0.10
     (name "rust-capnp")
     (version "0.10.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "17hsnmlcrzksjjpwpz51y8g36xzq8042i2cwns0lsg7rixfw2rxq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17hsnmlcrzksjjpwpz51y8g36xzq8042i2cwns0lsg7rixfw2rxq"))))
     (arguments
      `(#:cargo-inputs
        (("rust-futures" ,rust-futures-0.1)
@@ -7984,14 +7985,14 @@ (define-public rust-capnp-futures-0.10
     (name "rust-capnp-futures")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnp-futures" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0qdiqkp9mh4acpa0dqhpzv2gwf949rj3m85mgwl1rih6gvgbh1zs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnp-futures" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0qdiqkp9mh4acpa0dqhpzv2gwf949rj3m85mgwl1rih6gvgbh1zs"))))
     (arguments
      `(#:cargo-inputs
        (("rust-capnp" ,rust-capnp-0.10)
@@ -8033,14 +8034,14 @@ (define-public rust-capnp-rpc-0.10
     (name "rust-capnp-rpc")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnp-rpc" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1j6xg7yays1hlm1045wviyn1642yvvi2p4kba26yk07a0kafr3jn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnp-rpc" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j6xg7yays1hlm1045wviyn1642yvvi2p4kba26yk07a0kafr3jn"))))
     (arguments
      `(#:cargo-inputs
        (("rust-capnp" ,rust-capnp-0.10)
@@ -8074,14 +8075,14 @@ (define-public rust-capnpc-0.10
     (name "rust-capnpc")
     (version "0.10.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnpc" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1zxbmdkr0xfzkfq9p8zn7pp9jjq275qhr8fh9a0cc0ab37yfvbyj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnpc" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1zxbmdkr0xfzkfq9p8zn7pp9jjq275qhr8fh9a0cc0ab37yfvbyj"))))
     (arguments
      `(#:cargo-inputs
        (("rust-capnp" ,rust-capnp-0.10))))))
@@ -8150,65 +8151,65 @@ (define-public rust-cargo-0.53
      `(;; The test suite is disabled as the internal 'cargo-test-macro' and
        ;; 'cargo-test-support' crates are not included in the release.
        #:tests? #f
-       #:rust ,rust-1.52        ;transitively inherited from rust-sized-chunks
-       #:cargo-inputs
-       (("rust-anyhow" ,rust-anyhow-1)
-        ("rust-atty" ,rust-atty-0.2)
-        ("rust-bytesize" ,rust-bytesize-1)
-        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
-        ("rust-clap" ,rust-clap-2)
-        ("rust-core-foundation" ,rust-core-foundation-0.9)
-        ("rust-crates-io" ,rust-crates-io-0.33)
-        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
-        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
-        ("rust-curl" ,rust-curl-0.4)
-        ("rust-curl-sys" ,rust-curl-sys-0.4)
-        ("rust-env-logger" ,rust-env-logger-0.8)
-        ("rust-filetime" ,rust-filetime-0.2)
-        ("rust-flate2" ,rust-flate2-1)
-        ("rust-flate2" ,rust-flate2-1)
-        ("rust-fwdansi" ,rust-fwdansi-1)
-        ("rust-git2" ,rust-git2-0.13)
-        ("rust-git2-curl" ,rust-git2-curl-0.14)
-        ("rust-glob" ,rust-glob-0.3)
-        ("rust-hex" ,rust-hex-0.4)
-        ("rust-home" ,rust-home-0.5)
-        ("rust-humantime" ,rust-humantime-2)
-        ("rust-ignore" ,rust-ignore-0.4)
-        ("rust-im-rc" ,rust-im-rc-15)
-        ("rust-jobserver" ,rust-jobserver-0.1)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-lazycell" ,rust-lazycell-1)
-        ("rust-libc" ,rust-libc-0.2)
-        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-memchr" ,rust-memchr-2)
-        ("rust-miow" ,rust-miow-0.3)
-        ("rust-num-cpus" ,rust-num-cpus-1)
-        ("rust-opener" ,rust-opener-0.4)
-        ("rust-openssl" ,rust-openssl-0.10)
-        ("rust-percent-encoding" ,rust-percent-encoding-2)
-        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
-        ("rust-rand" ,rust-rand-0.8)
-        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
-        ("rust-rustfix" ,rust-rustfix-0.5)
-        ("rust-same-file" ,rust-same-file-1)
-        ("rust-semver" ,rust-semver-0.10)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-shell-escape" ,rust-shell-escape-0.1)
-        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
-        ("rust-tar" ,rust-tar-0.4)
-        ("rust-tar" ,rust-tar-0.4)
-        ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-termcolor" ,rust-termcolor-1)
-        ("rust-toml" ,rust-toml-0.5)
-        ("rust-unicode-width" ,rust-unicode-width-0.1)
-        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
-        ("rust-url" ,rust-url-2)
-        ("rust-walkdir" ,rust-walkdir-2)
-        ("rust-winapi" ,rust-winapi-0.3))))
+                #:rust ,rust-1.52        ;transitively inherited from rust-sized-chunks
+                #:cargo-inputs
+                (("rust-anyhow" ,rust-anyhow-1)
+                 ("rust-atty" ,rust-atty-0.2)
+                 ("rust-bytesize" ,rust-bytesize-1)
+                 ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+                 ("rust-clap" ,rust-clap-2)
+                 ("rust-core-foundation" ,rust-core-foundation-0.9)
+                 ("rust-crates-io" ,rust-crates-io-0.33)
+                 ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
+                 ("rust-crypto-hash" ,rust-crypto-hash-0.3)
+                 ("rust-curl" ,rust-curl-0.4)
+                 ("rust-curl-sys" ,rust-curl-sys-0.4)
+                 ("rust-env-logger" ,rust-env-logger-0.8)
+                 ("rust-filetime" ,rust-filetime-0.2)
+                 ("rust-flate2" ,rust-flate2-1)
+                 ("rust-flate2" ,rust-flate2-1)
+                 ("rust-fwdansi" ,rust-fwdansi-1)
+                 ("rust-git2" ,rust-git2-0.13)
+                 ("rust-git2-curl" ,rust-git2-curl-0.14)
+                 ("rust-glob" ,rust-glob-0.3)
+                 ("rust-hex" ,rust-hex-0.4)
+                 ("rust-home" ,rust-home-0.5)
+                 ("rust-humantime" ,rust-humantime-2)
+                 ("rust-ignore" ,rust-ignore-0.4)
+                 ("rust-im-rc" ,rust-im-rc-15)
+                 ("rust-jobserver" ,rust-jobserver-0.1)
+                 ("rust-lazy-static" ,rust-lazy-static-1)
+                 ("rust-lazycell" ,rust-lazycell-1)
+                 ("rust-libc" ,rust-libc-0.2)
+                 ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
+                 ("rust-log" ,rust-log-0.4)
+                 ("rust-memchr" ,rust-memchr-2)
+                 ("rust-miow" ,rust-miow-0.3)
+                 ("rust-num-cpus" ,rust-num-cpus-1)
+                 ("rust-opener" ,rust-opener-0.4)
+                 ("rust-openssl" ,rust-openssl-0.10)
+                 ("rust-percent-encoding" ,rust-percent-encoding-2)
+                 ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
+                 ("rust-rand" ,rust-rand-0.8)
+                 ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
+                 ("rust-rustfix" ,rust-rustfix-0.5)
+                 ("rust-same-file" ,rust-same-file-1)
+                 ("rust-semver" ,rust-semver-0.10)
+                 ("rust-serde" ,rust-serde-1)
+                 ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+                 ("rust-serde-json" ,rust-serde-json-1)
+                 ("rust-shell-escape" ,rust-shell-escape-0.1)
+                 ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
+                 ("rust-tar" ,rust-tar-0.4)
+                 ("rust-tar" ,rust-tar-0.4)
+                 ("rust-tempfile" ,rust-tempfile-3)
+                 ("rust-termcolor" ,rust-termcolor-1)
+                 ("rust-toml" ,rust-toml-0.5)
+                 ("rust-unicode-width" ,rust-unicode-width-0.1)
+                 ("rust-unicode-xid" ,rust-unicode-xid-0.2)
+                 ("rust-url" ,rust-url-2)
+                 ("rust-walkdir" ,rust-walkdir-2)
+                 ("rust-winapi" ,rust-winapi-0.3))))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
@@ -8222,6 +8223,76 @@ (define-public rust-cargo-0.53
 the library crate of Cargo.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cargo-make-0.35
+  (package
+    (name "rust-cargo-make")
+    (version "0.35.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-make" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1hqqxwgg4aqjrwi769gnbj5fjk1ch0x05yipijp65ynq3ilz02p0"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-ansi-term" ,rust-ansi-term-0.12)
+        ("rust-cargo-metadata" ,rust-cargo-metadata-0.14)
+        ("rust-ci-info" ,rust-ci-info-0.14)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-colored" ,rust-colored-2)
+        ("rust-dirs-next" ,rust-dirs-next-2)
+        ("rust-duckscript" ,rust-duckscript-0.7)
+        ("rust-duckscriptsdk" ,rust-duckscriptsdk-0.8)
+        ("rust-envmnt" ,rust-envmnt-0.9)
+        ("rust-fern" ,rust-fern-0.6)
+        ("rust-fsio" ,rust-fsio-0.3)
+        ("rust-git-info" ,rust-git-info-0.1)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-run-script" ,rust-run-script-0.9)
+        ("rust-rust-info" ,rust-rust-info-0.3)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+        ("rust-shell2batch" ,rust-shell2batch-0.4)
+        ("rust-toml" ,rust-toml-0.5))))
+    (home-page "https://sagiegurari.github.io/cargo-make")
+    (synopsis "Rust task runner and build tool.")
+    (description "Rust task runner and build tool.")
+    (license license:asl2.0)))
+
+(define-public rust-cargo-metadata-0.14
+  (package
+    (name "rust-cargo-metadata")
+    (version "0.14.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-metadata" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04kfzvmh80pq0bw1cwzlz71wfrign2k7792mc4gi8hs1jkgfcams"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-camino" ,rust-camino-1)
+        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+        ("rust-derive-builder" ,rust-derive-builder-0.9)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1))))
+    (home-page "https://github.com/oli-obk/cargo_metadata")
+    (synopsis "structured access to the output of `cargo metadata`")
+    (description "structured access to the output of `cargo metadata`")
+    (license license:expat)))
+
 (define-public rust-cargo-metadata-0.13
   (package
     (name "rust-cargo-metadata")
@@ -8259,14 +8330,14 @@ (define-public rust-cargo-metadata-0.9
     (name "rust-cargo-metadata")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cargo_metadata" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "00pjms89lghvizh4d55lz80hvrih9r55xv9m5wd9vcsgc163gqs6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo_metadata" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "00pjms89lghvizh4d55lz80hvrih9r55xv9m5wd9vcsgc163gqs6"))))
     (arguments
      `(#:tests? #f
        #:cargo-inputs
@@ -8285,14 +8356,14 @@ (define-public rust-cargo-metadata-0.6
     (name "rust-cargo-metadata")
     (version "0.6.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cargo_metadata" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1givpi2w7iwqqnl87x5yc15zcm5hs6yw490sb6abkfp1h39v9lg5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo_metadata" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1givpi2w7iwqqnl87x5yc15zcm5hs6yw490sb6abkfp1h39v9lg5"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -8333,13 +8404,13 @@ (define-public rust-cargon-0.0
     (name "rust-cargon")
     (version "0.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cargon" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1cszlab7jk736p0lb50ag4l9nv72m7j41bwrmygl0lr4iz0350w2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargon" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1cszlab7jk736p0lb50ag4l9nv72m7j41bwrmygl0lr4iz0350w2"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -8408,13 +8479,13 @@ (define-public rust-cblas-sys-0.1
     (name "rust-cblas-sys")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cblas-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0rgsn3klhhh09d8qf3b87zl4rwk93l2g0qzh9hhb0lff5kcfrzmn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cblas-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0rgsn3klhhh09d8qf3b87zl4rwk93l2g0qzh9hhb0lff5kcfrzmn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
@@ -8430,13 +8501,13 @@ (define-public rust-cc-1
     (name "rust-cc")
     (version "1.0.66")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cc" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0j7d7h4n81z5f22l3v8ggjvvw8m64636nlaqax4x1y44da1rc12c"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cc" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0j7d7h4n81z5f22l3v8ggjvvw8m64636nlaqax4x1y44da1rc12c"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -8478,14 +8549,14 @@ (define-public rust-cexpr-0.4
     (name "rust-cexpr")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cexpr" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09qd1k1mrhcqfhqmsz4y1bya9gcs29si7y3w96pqkgid4y2dpbpl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cexpr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09qd1k1mrhcqfhqmsz4y1bya9gcs29si7y3w96pqkgid4y2dpbpl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -8592,13 +8663,13 @@ (define-public rust-cfg-if-0.1
     (name "rust-cfg-if")
     (version "0.1.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cfg-if" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "08h80ihs74jcyp24cd75wwabygbbdgl05k6p5dmq8akbr78vv1a7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cfg-if" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "08h80ihs74jcyp24cd75wwabygbbdgl05k6p5dmq8akbr78vv1a7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
@@ -8873,6 +8944,31 @@ (define-public rust-chunked-transfer-0.3
        (sha256
         (base32 "11yghnd24w0i9p8g368c3pg7qh9nfz7kgri6pywja9pnmakj13a9"))))))
 
+(define-public rust-ci-info-0.14
+  (package
+    (name "rust-ci-info")
+    (version "0.14.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ci-info" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "08vkxaqnhqsvld4f30bfy5bqpyzn0jlq5f61j8dz0hi26xj2h3hz"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-envmnt" ,rust-envmnt-0.9)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3)
+        ("rust-lazy-static" ,rust-lazy-static-1))))
+    (home-page "http://github.com/sagiegurari/ci_info")
+    (synopsis "Provides current CI environment information.")
+    (description "This package provides current CI environment information.")
+    (license license:asl2.0)))
+
 (define-public rust-ci-info-0.3
   (package
     (name "rust-ci-info")
@@ -8902,14 +8998,14 @@ (define-public rust-clang-ast-0.1
     (name "rust-clang-ast")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-ast" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1sfqyxszas78s78nga88fl0i5qlr87qsj22vlxarhvx96q86impf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-ast" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1sfqyxszas78s78nga88fl0i5qlr87qsj22vlxarhvx96q86impf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; Uses unstable features.
@@ -8930,14 +9026,14 @@ (define-public rust-clang-ast-test-suite-0.0.0
     (name "rust-clang-ast-test-suite")
     (version "0.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-ast-test-suite" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04c6p67w2f3s74pl83swj93l6p9g88vgki0rp2vxbb0bzm1hqy5h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-ast-test-suite" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04c6p67w2f3s74pl83swj93l6p9g88vgki0rp2vxbb0bzm1hqy5h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t))   ; Not intended to be built independently.
@@ -8977,18 +9073,18 @@ (define-public rust-cipher-0.3
     (name "rust-cipher")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cipher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "1dyzsv0c84rgz98d5glnhsz4320wl24x3bq511vnyf0mxir21rby"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cipher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1dyzsv0c84rgz98d5glnhsz4320wl24x3bq511vnyf0mxir21rby"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-        (("rust-blobby" ,rust-blobby-0.3)
-         ("rust-generic-array" ,rust-generic-array-0.14))))
+       (("rust-blobby" ,rust-blobby-0.3)
+        ("rust-generic-array" ,rust-generic-array-0.14))))
     (home-page "https://docs.rs/cipher/")
     (synopsis "Traits for describing block ciphers and stream ciphers")
     (description "This package provides traits which define the functionality
@@ -9003,13 +9099,13 @@ (define-public rust-cipher-0.2
     (name "rust-cipher")
     (version "0.2.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cipher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "00b8imbmdg7zdrbaczlivmdfdy09xldg95wl4iijl15xgjcfgy0j"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cipher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "00b8imbmdg7zdrbaczlivmdfdy09xldg95wl4iijl15xgjcfgy0j"))))))
 
 (define-public rust-clang-sys-0.29
   (package
@@ -9017,13 +9113,13 @@ (define-public rust-clang-sys-0.29
     (name "rust-clang-sys")
     (version "0.29.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "02nibl74zbz5x693iy5vdbhnfckja47m7j1mp2bj7fjw3pgkfs7y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "02nibl74zbz5x693iy5vdbhnfckja47m7j1mp2bj7fjw3pgkfs7y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -9037,13 +9133,13 @@ (define-public rust-clang-sys-0.28
     (name "rust-clang-sys")
     (version "0.28.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ls8zcqi5bmmrvrk3b6r1ym4wlivinbv590d2dvg2xn9f44mbpl1"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ls8zcqi5bmmrvrk3b6r1ym4wlivinbv590d2dvg2xn9f44mbpl1"))))))
 
 (define-public rust-clang-sys-0.26
   (package
@@ -9051,13 +9147,13 @@ (define-public rust-clang-sys-0.26
     (name "rust-clang-sys")
     (version "0.26.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1r50dwy5hj5gq07dn0qf8222d07qv0970ymx0j8n9779yayc3w3f"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1r50dwy5hj5gq07dn0qf8222d07qv0970ymx0j8n9779yayc3w3f"))))
     (arguments
      `(#:cargo-inputs
        (("rust-glob" ,rust-glob-0.2)
@@ -9070,14 +9166,14 @@ (define-public rust-clang-sys-0.23
     (name "rust-clang-sys")
     (version "0.23.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hjr333izzhs6bic84qwnyzy5xzmvasib8f3zkzj4ln3a97c1xyp"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hjr333izzhs6bic84qwnyzy5xzmvasib8f3zkzj4ln3a97c1xyp"))))))
 
 (define-public rust-clang-sys-0.22
   (package
@@ -9258,13 +9354,13 @@ (define-public rust-clicolors-control-1
     (name "rust-clicolors-control")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clicolors-control" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "07klix8nbpwk0cg1k4h0kkiijm1jxvrzndqdkr7dqr6xvkjjw24h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clicolors-control" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "07klix8nbpwk0cg1k4h0kkiijm1jxvrzndqdkr7dqr6xvkjjw24h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -9398,13 +9494,13 @@ (define-public rust-cloudabi-0.1
     (name "rust-cloudabi")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cloudabi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0rv4yf5jlldfkynzrw687s00f4x12ypw7axv71vawhy6h4i52i23"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cloudabi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0rv4yf5jlldfkynzrw687s00f4x12ypw7axv71vawhy6h4i52i23"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -9422,13 +9518,13 @@ (define-public rust-cloudabi-0.0
     (name "rust-cloudabi")
     (version "0.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cloudabi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kxcg83jlihy0phnd2g8c2c303px3l2p3pkjz357ll6llnd5pz6x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cloudabi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kxcg83jlihy0phnd2g8c2c303px3l2p3pkjz357ll6llnd5pz6x"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1))))))
